Productsup
API referenceV1Export template metadata

Update export template metadata

Update internal metadata for an export template channel.

PUT
/V1/export-templates/{id}/metadata

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*string

Export template id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://export-template-api.productsup.com/V1/export-templates/string/metadata" \  -H "Content-Type: application/json" \  -d '{    "channelOwner": "api-team",    "confidence": "good-to-go",    "lastReviewedOn": "2024-12-01T00:00:00+00:00",    "helpCenterLink": "https://help.productsup.com/updated",    "internalDocLink": "https://docs.internal.com/channel/updated",    "specificationsLink": "https://specs.productsup.com/channel/updated",    "notes": "Updated notes with additional information"  }'
{
  "data": {
    "channelOwner": "string",
    "lastReviewedOn": "string",
    "confidence": "string",
    "helpCenterLink": "string",
    "internalDocLink": "string",
    "specificationsLink": "string",
    "notes": "string"
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations."
  }
}
{
  "errors": {
    "message": "Export template with id 99999 not found."
  }
}

How is this guide?